liblzma (XZ Utils): lzma_stream_flags Struct Reference

liblzma (XZ Utils) 5.4.2

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lzma_stream_flags Struct Reference

Options for encoding/decoding Stream Header and Stream Footer. More...

`#include <stream_flags.h>`

## Data Fields
uint32_t | version
| Stream Flags format version.
lzma_vli | backward_size
| Backward Size.
lzma_check | check
| Check ID.

## Detailed Description

Options for encoding/decoding Stream Header and Stream Footer.

## Field Documentation

## ◆ version

uint32_t lzma_stream_flags::version

Stream Flags format version.

To prevent API and ABI breakages if new features are needed in Stream Header or Stream Footer, a version number is used to indicate which members in this structure are in use. For now, version must always be zero. With non-zero version, the lzma_stream_header_encode() and lzma_stream_footer_encode() will return LZMA_OPTIONS_ERROR.

lzma_stream_header_decode() and lzma_stream_footer_decode() will always set this to the lowest value that supports all the features indicated by the Stream Flags field. The application must check that the version number set by the decoding functions is supported by the application. Otherwise it is possible that the application will decode the Stream incorrectly.

## ◆ backward_size

lzma_vli lzma_stream_flags::backward_size

Backward Size.

Backward Size must be a multiple of four bytes. In this Stream format version, Backward Size is the size of the Index field.

Backward Size isn't actually part of the Stream Flags field, but it is convenient to include in this structure anyway. Backward Size is present only in the Stream Footer. There is no need to initialize backward_size when encoding Stream Header.

lzma_stream_header_decode() always sets backward_size to LZMA_VLI_UNKNOWN so that it is convenient to use lzma_stream_flags_compare() when both Stream Header and Stream Footer have been decoded.

## ◆ check

lzma_check lzma_stream_flags::check

Check ID.

This indicates the type of the integrity check calculated from uncompressed data.

The documentation for this struct was generated from the following file:

- lzma/stream_flags.h